%define anolis_release 1
%global pypi_name lyft-dataset-sdk
%global pypi_version 0.0.8

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        SDK for Lyft dataset

License:        Attribution-NonCommercial-ShareAlike 4.0 International (CC BY-NC-SA 4.0)
URL:            https://github.com/lyft/nuscenes-devkit
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/lyft_dataset_sdk-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
devkit for the Lyft Level 5 AV dataset, shall help you to visualise and explore the dataset.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest)
%description -n python3-%{pypi_name}
devkit for the Lyft Level 5 AV dataset, shall help you to visualise and explore the dataset.


%prep
%autosetup -n lyft_dataset_sdk-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/lyft_dataset_sdk
%{python3_sitelib}/lyft_dataset_sdk-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.0.8-1
- Initial package.